// ptrarray.cpp -- More about arrays and pointers

#include <stream.hpp>

#define MAX 10       // Size of array

void showFirst(void);

int array[MAX];      // Global array of MAX integers

main()
{
   int *p = array;   // p is an int pointer to array
   int i;            // i is a plain int variable

/* -- Fill array with values from 0 to MAX - 1 */

   for (i = 0; i < MAX; i++)
      array[i] = i;

/* -- Use pointer p to display the array's values */

   for (i = 0; i < MAX; i++)
      cout << *p++ << '\n';

/* -- Use pointer p to display one array value */

   p = &array[5];
   cout << "\narray[5] = " << array[5];
   cout << "\n*p ..... = " << *p;
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/31/1990   Time: 05:29 pm
