// allrecdb.cpp -- Read all records in sample database

#include <stream.hpp>
#include "sample.h"

void showRec(rec &oneRec, long recnum);
void error(const char *s);

main()
{
   FILE *fp;
   rec oneRec;
   long recnum = 0;

   fp = fopen("sample.dat", "rb");
   if (!fp) error("Opening file");
   while (fread(&oneRec, sizeof(rec), 1, fp) == 1)
      showRec(oneRec, recnum++);
   fclose(fp);
}

void showRec(rec &oneRec, long recnum)
{
   cout << form("\n%04ld: %-30s %-2s %+8.2f", 
      recnum, oneRec.name, oneRec.state, oneRec.balance);
}

void error(const char *s)
{

   cout << "\nERROR: " << s;
   exit(1);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/12/1990   Time: 07:58 am
