// cdir.cpp -- Change directories

#include <stream.hpp>
#include <direct.h>

main(int argc, char *argv[])
{
   char *buf;

   if (argc == 1) {
      if ((buf = getcwd(NULL, 0)) != NULL)
         cout << buf;
   } else {
      if (chdir(argv[1]) != 0)
         cout << "Can't change to " << argv[1];
   }
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/06/1990   Time: 11:42 am



