// touch.cpp -- Update file dates and times

#include <stream.hpp>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <errno.h>
#include <dos.h>

main(int argc, char *argv[])
{
   struct FIND *fp;
   char wildCard[129] = "*.*";

   if (argc > 1)
      strcpy(wildCard, argv[1]);
   fp = findfirst(wildCard, 0);
   cout << "\nUpdating " << wildCard;
   while (fp) {
      cout << form("\n%s", fp->name);
      if (utime(fp->name, NULL) == -1) {
         cout << "\nError setting time for file " << fp->name;
         cout << form("\nERROR #%d: %s\n", errno, strerror(errno));
         exit(errno);
      }
      cout << " updated";
      fp = findnext();
   }
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/06/1990   Time: 01:19 pm


