// wdata.cpp -- Write data file

#include <stream.hpp>
#include <stdlib.h>
#include <time.h>

#define MAX 100   // Number of values to write

void error(const char *s);

main()
{
   double fpArray[MAX];
   int i, n;
   FILE *fp;

   srand(time(NULL));   // Scramble random number generator
   cout << "Filling array with values\n";
   for (i = 0; i < MAX; i++) {
      fpArray[i] = 1.0 / rand();
      cout << form("%16.8f", fpArray[i]);
   }
   cout << "\nWriting array to TEST.DAT...\n";
   fp = fopen("TEST.DAT", "wb");
   if (fp == NULL) error("Can't create TEST.DAT");
   for (i = 0; i < MAX; i++) {
      n = fwrite(&fpArray[i], sizeof(double), 1, fp);
      if (n != 1) error("Writing data");
   }
   fclose(fp);
}

void error(const char *s)
{
   cout << "\nERROR: " << s;
   exit(1);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/11/1990   Time: 08:29 am
