// friend.cpp -- Demonstrate friends

#include <stream.hpp>

class pal {
      friend class buddy;     // buddy is a friend of pal
   private:
      int x;
   protected:
      void doublex(void) { x *= x; }
   public:
      pal() { x = 100; }
      pal(int n) { x = n; }
};

class buddy {
   private:
      pal palInstance;
   public:
      void showValues(void);
};

main()
{
   buddy abuddy;

   abuddy.showValues();
}

void buddy::showValues(void)
{
   pal apal(1234);

   cout << form("\nBefore, palInstance.x == %d", palInstance.x);
   palInstance.doublex();
   cout << form("\nAfter, palInstance.x  == %d", palInstance.x);
   cout << form("\napal.x == %d\n", apal.x);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/21/1990   Time: 03:04 pm
