// friendmf.cpp -- Demonstrate friend member functions

#include <stream.hpp>

class one;

class two {
   private:
      char *s2;
   public:
      two() { s2 = "one, two, three"; }
      void show(one &c1);
};

class one {
      friend void two::show(one &c1);
   private:
      char *s1;
   public:
      one() { s1 = "Testing "; }
};

main()
{
   one c1;
   two c2;

   c2.show(c1);
}

void two::show(one &c1)
{
   cout << c1.s1 << s2 << '\n';
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/22/1990   Time: 08:18 am
