// newops.cpp -- Demonstrate type-conversion rules

#include <stream.hpp>
#include <stdlib.h>
#include <string.h>

class strop {
   private:
      char value[12];
   public:
      strop() { value[0] = 0; }
      strop(const char *s);
      strop(long i) { strcpy(value, form("%d", i)); }
      operator long() { return atol(value); }
};

void showValue(long v);

main()
{
   strop c = 9876;

   cout << "\nc == " << (long)c;
   showValue(c);
}

void showValue(long v)
{
   cout << "\nValue of v == " << v;
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/23/1990   Time: 06:29 pm
