// overnew.cpp -- Overload the new operator

#include <stream.hpp>

class brandNew {
   private:
      int x;
   public:
      brandNew();
      void * operator new(size_t size);
};

char buf[512];
int index;

main()
{
   cout << "\nCreating local instance";
   brandNew b1;

   cout << "\nAllocating space via new";
   brandNew *b2 = new brandNew;
   brandNew *b3 = new brandNew;
   brandNew *b4 = new brandNew;
   brandNew *b5 = new brandNew;
}

brandNew::brandNew()
{
   cout << "\nInside constructor";
   x = index;
}

void *brandNew::operator new(size_t size)
{
   cout << "\nInside overloaded new. Size == " << size;
   if (index >= 512 - sizeof(brandNew))
      return 0;
   else {
      int k = index;
      index += sizeof(brandNew);
      return &buf[k];
   }
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/24/1990   Time: 10:02 pm
