// reg.cpp -- Register variable demonstration

#include <stream.hpp>

void useregister(void);
void usevolatile(void);

main()
{
   useregister();
   usevolatile();
}

void useregister(void)
{
   register int k;

   cout << "\nCounting with a register variable\n";
   for (k = 1; k <= 100; k++)
      cout << dec(k, 8);
}

void usevolatile(void)
{
   volatile int k;

   cout << "\nCounting with a volatile variable\n";
   for (k = 1; k <= 100; k++)
      cout << dec(k, 8);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/23/1990   Time: 10:45 am


