// dstruct.cpp -- Dynamic structure demonstration

#include <stream.hpp>
#include <stdlib.h>

struct xyrec {
   int x;
   int y;
};

main()
{
   xyrec *xyp;   // xyp is a pointer to an xyrec structure

   xyp = new xyrec;    // Reserve space for an xyrec variable
   if (xyp == NULL) {  // Make sure that new worked
      cout << "\nOut of memory!";
      exit(1);
   }

   xyp->x = 10;   // Assign 10 to x field in structure at xyp
   xyp->y = 11;   // Assign 11 to y field in structure at xyp

   cout << "x = " << xyp->x << "; y = " << xyp->y;
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/30/1990   Time: 11:49 am


