// readstr.cpp -- Read strings into dynamic variables

#include <stream.hpp>
#include <string.h>

#define MAX 3     // Maximum number of strings

char *readstring(void);

main()
{
   int i;            // i is an index into the following
   char *array[MAX]; // an array of MAX char pointers

   cout << "Enter " << MAX << " strings:\n";
   for (i = 0; i < MAX; i++)
      array[i] = readstring();   // Save pointer to each string

   cout << "\n\nYour strings are:\n";
   for (i = 0; i < MAX; i++)
      cout << array[i] << '\n';  // Display strings via pointers
}

char *readstring(void)
{
   char *p;          // p is a pointer to a char
   char buffer[128]; // buffer for reading each string

   gets(buffer);        // Read string from user or stdin
   p = new char[1 + strlen(buffer)]; // Create dynamic string
   strcpy(p, buffer);   // Copy buffer into dynamic string
   return p;            // Return the new string's address
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/31/1990   Time: 09:09 pm



