// void.cpp -- Display pointer addresses

#include <stream.hpp>
#include <dos.h>

void disp_pointer(void *p);

main()
{
   int value;
   int *vptr;

   vptr = &value;
   value = 1234;
   cout << "value = " << value << '\n';
   cout << "vptr  = " << *vptr << '\n';
   
   cout << "address of value = ";
   disp_pointer(&value);

   cout << "address where vptr points = ";
   disp_pointer(vptr);
}

void disp_pointer(void *p)
{
   cout << hex(FP_SEG(p)) << ":" << hex(FP_OFF(p)) << '\n';
}
   

// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/27/1990   Time: 03:12 pm


