// dir.h -- Header for dir.cpp

#ifndef __DIR_H    //
#define __DIR_H           1     // Prevent multiple #includes

#include <dos.h>
#include "stritem.h"
#include "selector.h"

class fileItem: public strItem {
   private:
      char ampm;              // AM or PM indicator ('a' or 'p')
      char attribute;         // File entry's attribute
      unsigned time, date;    // Time and date of last update
      unsigned long size;     // Size of file in bytes
   public:
      fileItem(FIND *fp);
      virtual char *getString(void);
};

class directory: public selector {
   public:
      directory(winStruct &ws, char *wildCard, int popup = 1);
      void resetDirectory(char *wildCard);
};

#endif   // __DIR_H


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/05/1990   Time: 05:07 pm


