// free.cpp -- Report free space on drive

#include <stream.hpp>
#include <dos.h>
#include <ctype.h>

main(int argc, char *argv[])
{
   int drive = 0;
   unsigned long freeSpace;

   if (argc > 1)
      drive = toupper(*argv[1]) - ('A' - 1);
   freeSpace = dos_getdiskfreespace(drive);
   if (freeSpace == -1)
      cout << "Error reading drive";
   else
      cout << form("Free space on drive = %lu", freeSpace);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/12/1990   Time: 10:23 am
