// trouble.cpp -- Trouble with memberwise initialization

#include <stream.hpp>

class simple {
   private:
      int i;
      float r;
   public:
      simple()
         { i = 0; r = 0; }
      simple(int ii, float rr)
         { i = ii; r = rr; }
      ~simple();
};

main()
{
   cout << "\nsimple v1;";
   simple v1;

   cout << "\nsimple v2(100, 3.14159);";
   simple v2(100, 3.14159);

   cout << "\nsimple v3 = v2;";
   simple v3 = v2;
}

simple::~simple()
{
   cout << "\nInside simple's destructor";
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/24/1990   Time: 01:21 pm
